# ACE_Managed_Process Class Reference

A process easily managed by ACE_Process_Manager. More...

`#include <Process.h>`

Inheritance diagram for ACE_Managed_Process:

[legend]
Collaboration diagram for ACE_Managed_Process:

[legend]
List of all members.

## Public Member Functions

virtual void | unmanage (void)
| Cleanup by deleting `this`.

## Protected Member Functions

virtual | ~ACE_Managed_Process (void)
| Make sure that we're allocated dynamically!

## Detailed Description

A process easily managed by ACE_Process_Manager.

- ACE_Managed_Process is just an
- ACE_Process with an
- unmanage() method that deletes the instance. This class is only valid for use as a dynamically-allocated object!

## Constructor & Destructor Documentation

ACE_Managed_Process::~ACE_Managed_Process | ( | void |  | ) | `[protected, virtual]`

| Make sure that we're allocated dynamically!

## Member Function Documentation

void ACE_Managed_Process::unmanage | ( | void |  | ) | `[virtual]`

| Cleanup by deleting `this`. Reimplemented from ACE_Process.

The documentation for this class was generated from the following files:

- Process.h
- Process.cpp